| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Functions | Variables
colour.h File Reference

## Classes
class | wxColour
| A colour is an object representing a combination of Red, Green, and Blue (RGB) intensity values, and is used to determine drawing colours. More...

## Enumerations
enum | { wxC2S_NAME = 1, wxC2S_CSS_SYNTAX = 2, wxC2S_HTML_SYNTAX = 4 }
| Flags for wxColour -> wxString conversion (see wxColour::GetAsString). More...

## Functions
bool | wxFromString (const wxString &string, wxColour *colour)
| Converts string to a wxColour best represented by the given string.
wxString | wxToString (const wxColour &colour)
| Converts the given wxColour into a string.

## Variables
const unsigned char | wxALPHA_TRANSPARENT = 0
const unsigned char | wxALPHA_OPAQUE = 0xff
Predefined colors.
wxColour | wxNullColour
wxColour | wxTransparentColour
wxColour * | wxBLACK
wxColour * | wxBLUE
wxColour * | wxCYAN
wxColour * | wxGREEN
wxColour * | wxYELLOW
wxColour * | wxLIGHT_GREY
wxColour * | wxRED
wxColour * | wxWHITE

## Enumeration Type Documentation

anonymous enum

Flags for wxColour -> wxString conversion (see wxColour::GetAsString).

Enumerator:

  wxC2S_NAME |
  wxC2S_CSS_SYNTAX |
  wxC2S_HTML_SYNTAX |

## Variable Documentation

const unsigned char wxALPHA_OPAQUE = 0xff

const unsigned char wxALPHA_TRANSPARENT = 0

wxColour* wxBLACK

wxColour* wxBLUE

wxColour* wxCYAN

wxColour* wxGREEN

wxColour* wxLIGHT_GREY

wxColour wxNullColour

wxColour* wxRED

wxColour wxTransparentColour

wxColour* wxWHITE

wxColour* wxYELLOW